<template>
  <div>
    <el-table v-loading="loading" :data="list" border highlight-current-row style="width: 100%">
      <el-table-column label="序号" type="index"></el-table-column>
      <el-table-column label="UDI码" prop="code" width="260"></el-table-column>
      <el-table-column label="产品DI" prop="nameCode" width="260"></el-table-column>
      <el-table-column label="产品名称" prop="cpmctymc" width="260"></el-table-column>
      <el-table-column label="规格型号" prop="ggxh"></el-table-column>
      <el-table-column label="批次号" prop="batchNo"></el-table-column>
      <el-table-column label="生产日期" prop="productDate" width="100"></el-table-column>
      <el-table-column label="失效日期" prop="expireDate" width="100"></el-table-column>
      <el-table-column label="序列号" prop="serialNo"></el-table-column>
      <el-table-column label="扫码数量" prop="count"></el-table-column>
      <el-table-column label="实际数量" prop="reCount"></el-table-column>
    </el-table>

  </div>
</template>

<script>
import {filterDestinyDelect, filterDestinyProduct, getBasicDestinyfilter} from "@/api/basic/basicDestinyRel";
import addDestinyProcess from "@/views/basic/destiny/addDestinyProcess";
import {filterDestinyProcessCode} from "@/api/inout/ioDestinyProcess";


export default {
  name: "destinyProcessCode",
  props: {
    billNo: {
      type: Object,
      required: true
    },
    destinyProcessCodeShow: {
      type: Object,
      required: true
    }
  },
  data() {
    return {
      filterQuery: {
        name: "",
        code: "",
        type: 2,
        page: 1,
        limit: 20
      },
      loading: false,
      list: [],
      total: 0
    };
  },
  methods: {
    onReset() {
      this.$router.push({
        path: ""
      });
      this.filterQuery = {
        page: 1,
        limit: 20
      };
      this.getList();
    },
    onSubmit() {
      this.$router.push({
        path: "",
      });
      this.filterQuery.page = 1;
      this.getList();
    },
    getList() {
      this.loading = true;
      this.filterQuery.billNo = this.billNo
      filterDestinyProcessCode(this.filterQuery).then(response => {
        this.loading = false;
        this.list = response.data.list || [];
        this.total = response.data.total || 0;
      }).catch(() => {
        this.loading = false;
        this.list = [];
        this.total = 0;
        this.roles = [];
      });
    },
  }
  ,
  mounted() {
  }
  ,
  components: {
    addDestinyProcess
  }
  ,

  created() {
    if(this.destinyProcessCodeShow==true){
      this.getList();
    }
  }
}
;
</script>
